<!DOCTYPE html>
<html>

<head>
    <title>
calculatrice
    </title>
</head>

<body>
    <h1>
        calculatrice
    </h1>
   
    <input type="number" id="valeur1" name="name" required minlength="4" maxlength="8" size="10" >
    <table>
        <tr>
            <td> <button id="1" onclick="ajouterNumbre(1);" value =1>
                1
            </button></td>
            <td><button id="2" onclick="ajouterNumbre(2);" value =2>
                2
            </button></td>
            <td><button id="3" onclick="ajouterNumbre(3);" value =3>
                3
            </button></td>
            <td> <button id="opPlus" onclick="ajouterOperateur('+');"  value="+">
                +
            </button></td>
        </tr>
        <tr>
            <td><button id="4" onclick="ajouterNumbre(4);" value =4>
                4
            </button>  </td>
            <td> 
                <button id="5" onclick="ajouterNumbre(5);" value =5>
                    5
                </button></td>
            <td>     <button id="6" onclick="ajouterNumbre(6);" value =6>
                6
            </button></td>
            <td>    <button id="opMoins"onclick="ajouterOperateur('-');"  value="-">
                -
            </button></td>
        </tr>
        <tr>
            <td><button id="7" onclick="ajouterNumbre(7);" value =7>
                7
            </button></td>
            <td>  <button id="8" onclick="ajouterNumbre(8);" value =8>
                8
            </button></td>
            <td>   <button id="9" onclick="ajouterNumbre(9);" value =9>
                9
            </button></td>
            <td>    <button id="opMultible" onclick="ajouterOperateur('*');" value="*">
                *
            </button></td>
        </tr>
        <tr>
            <td>   <button id="0" onclick="ajouterNumbre(0);" value =0>
                0
            </button></td>
            <td> <button id="opDivisionne" onclick="ajouterOperateur('/');"  value="/">
                /
            </button></td>
            <td> <button id="c" value =0>
                c
            </button></td>
            <td><button id="eqal" onclick="calcul();" >
                =
            </button></td>
           
        </tr>
    </table>
   


   
   
  
  
 
 

  
 
 
<div id ="myDiv"></div>


    <script src="./calculatrice.js"></script>
</body>

</html>